COL(1)

NAZWA
col - filtruje z wejścia znaki cofnięcia o wiersz

SKŁADNIA
col [-bfx] [-l num]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Col filtruje znaki cofnięcia o wiersz (i o pół wiersza), tak że wyjście jest poprawnie uporządkowane, zawierając wyłącznie znaki wysuwu i połowy wysuwu do nowego wiersza. Gdzie jest to możliwe wymienia również białe spacje na znaki tabulacji. Może to być przydatne przy przetwarzaniu wyjścia z nroff(1) i tbl(1).

Col czyta ze standardowego wejścia i zapisuje na standardowe wyjście.

Posiada następujące opcje:

-b  Nie wysyłaj na wyjście znaków backspace, dla każdej pozycji (kolumny) drukuj wyłącznie ostatni znak w niej zapisany.

-f  Dozwolone są wysuwy o połowę wiersza (tryb ``fine'' - ładny). Normalnie znaki drukowane na granicy połowy wiersza drukowane są w następnym wierszu.

-x  Wysyłaj na wyjście wielokrotne spacje zamiast znaków tabulacji.

-lnum
    Buforuj w pamięci co najmniej num wierszy. Domyślnie buforowanych jest 128 wierszy.

Sekwencje sterujące ruchem karetki, rozumiane przez col oraz ich wartości dziesiętne podano w poniższej tabeli:

ESC-7
    cofnięcie o wiersz (reverse line feed) (escape, potem 7)
ESC-8
    cofnięcie o połowę wiersza (half reverse line feed) (escape, potem 8)
ESC-9
    wysuw do przodu o połowę wiersza (half forward line feed (escape, potem 9)
backspace
    cofnięcie o jedną kolumnę (8); ignorowane w pierwszej kolumnie
powrót karetki
    (carriage return) (13)
nowy wiersz
    wysuw wiersza (forward line feed) (10); wykonuje również powrót karetki
shift in
    przełącza na normalny zestaw znaków (15)
shift out
    przełącza na alternatywny zestaw znaków (14)
spacja
    przesuwa do przodu o jedną kolumnę (32)
tab przesuwa do przodu na następną pozycję tabulacji (9)
tabulacja pionowa
    (vertical tab) cofnięcie o wiersz (11)

Wszystkie nierozpoznane znaki sterujące i sekwencje specjalne są odrzucane.

Col zapamiętuje zestaw znaków podczas ich czytania i upewnia się, że zestaw ten jest poprawny, gdy są one wysyłane na wyjście.

Jeśli wejście usiłuje powrócić do ostatniego, opróżnionego już z bufora na wyjście wiersza, col wyświetli komunikat ostrzegawczy.

ZOBACZ TAKŻE
expand(1), nroff(1), tbl(1)

HISTORIA
Polecenie col pojawiło się w wersji AT&T UNIX.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:
man --locale=C 1 col

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.